package com.liquidnet.service.stone.constant;

public class StoneConstant {
    //ctx
    private static final String CTX = "stone:";
    //user
    public static final String USER = CTX.concat("user:");
    //item
    public static final String ITEM = CTX.concat("item:");
    //logsList 积分日志列表
    public static final String LOGS_LIST = ITEM.concat("logs:list:");
    //orderList 积分订单列表
    public static final String ORDER_LIST = ITEM.concat("order:list:");
    //orderList 积分订单列表
    public static final String ORDER_DETAILS = ITEM.concat("order:details:");

    //商品列表
    public static final String ITEM_LIST = ITEM.concat("list");
    //商品列表分类
    public static final String ITEM_LIST_SIMPLE = ITEM.concat("list:simpleType:");

    //剩余库存
    public static final String SURPLUS_GENERAL = ":surplusGeneral";
    //剩余积分
    public static final String SURPLUS_SCORE = ":surplusScore";
    //已用积分
    public static final String USE_SCORE = ":useScore";

    //限购
    public static final String ITEM_LIMIT = ITEM.concat("limit:");

    //锁
    public static final String LOCK = ITEM.concat("lock:");

}
